Bug 259255

Summary: if dolphin have separate panel it cannot be iconified clicking in kde application tray icon
Product: [Plasma] plasma4 Reporter: pier andre <pier_andreit>
Component: widget-taskbarAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: peter.penz19, thijs22nospam
Priority: NOR    
Version: 4.7.4   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In: 4.11

Description pier andre 2010-12-08 21:31:52 UTC
Version:           unspecified (using KDE 4.4.4) 
OS:                Linux

If I separate dolphin information panel placing it aside of the dolphin master window, I can see the dolphin icon in the application tray in the kde panel (the one beside the kde menu where falls the opened applications), if I click on this icon, dolphin window and panel pops up, if I click again dolphin window doesn't iconify again, I have to click on the "\/" icon on the window bar  to iconify it

Reproducible: Always

Steps to Reproduce:
1)drag and drop information panel from the main window
2)click on the dolphin icon in the kde application tray

Actual Results:  
dolphin doesn't iconify


Expected Results:  
dolphin has to iconify

if you recouple the information panel it iconify again
Comment 1 Peter Penz 2010-12-15 20:01:39 UTC
Thanks for the report. I can reproduce the issue on 4.5 and trunk. It is unrelated to Dolphin itself and guess this must be fixed either in Plasma or KWin.
Comment 2 Thijs 2012-01-02 10:51:45 UTC
Confirmed in 4.7.4. I also checked Amarok, which seems to suffer from the same issue. So: Whenever an application is split in multiple mini-windows (or whatever you want to call them) and you click on the taskbar item, it does not minimize. I'd expect one of two possibilities:
1) All mini-windows controlled by the one icon
2) A taskbar item for every seperate mini-window
Comment 3 Aaron J. Seigo 2013-06-15 21:01:06 UTC
Git commit b7e30e489f21e09f31e04dab6e8f130764e63671 by Aaron Seigo.
Committed on 15/06/2013 at 22:59.
Pushed by aseigo into branch 'master'.

use KWindowInfo to check for transients; take more care with transients

it does a rather more thorough job and fixes the problem of utility
windows that are transients (e.g. toolboxes pulled out of app windows)
preventing windows from being minimized properly from the tasks widget

this is probably far older than the 2.5 year old bug report.

M  +14   -2    libs/taskmanager/task.cpp
M  +1    -1    libs/taskmanager/task.h
M  +2    -2    libs/taskmanager/task_x11.cpp
M  +36   -21   libs/taskmanager/taskmanager.cpp

http://commits.kde.org/kde-workspace/b7e30e489f21e09f31e04dab6e8f130764e63671